pcl::detail::Accumulators< Point1T, Point2T > Struct Template Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Classes

struct | IsCompatible

## Public Types

typedef boost::fusion::result_of::as_vector< typename boost::mpl::filter_view< boost::mpl::vector< AccumulatorXYZ, AccumulatorNormal, AccumulatorCurvature, AccumulatorRGBA, AccumulatorIntensity, AccumulatorLabel >, boost::mpl::and_< IsCompatible< boost::mpl::_1, Point1T >, IsCompatible< boost::mpl::_1, Point2T > > > >::type | type

## Detailed Description

### template<typename Point1T, typename Point2T = Point1T>
struct pcl::detail::Accumulators< Point1T, Point2T >

Definition at line 223 of file accumulators.hpp.

## Member Typedef Documentation

template<typename Point1T, typename Point2T = Point1T>

typedef boost::fusion::result_of::as_vector< typename boost::mpl::filter_view< boost::mpl::vector< AccumulatorXYZ , AccumulatorNormal , AccumulatorCurvature , AccumulatorRGBA , AccumulatorIntensity , AccumulatorLabel > , boost::mpl::and_< IsCompatible<boost::mpl::_1, Point1T> , IsCompatible<boost::mpl::_1, Point2T> > > >::type pcl::detail::Accumulators< Point1T, Point2T >::type

Definition at line 249 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/impl/accumulators.hpp